Get Rate Limit Rule

GET /v1/firewall/rate-limits/{id}

Read full configuration of one rate-limit rule. Same shape as a single entry from /firewall/rate-limits.

Path parameters

id int Req
Rate-limit rule ID.

Response (200 OK)

Same fields as list entries.

Errors

401 Unauthorized
Missing auth.
404 Not Found
Rule doesn't exist or doesn't belong to the calling user.
Request
curl "https://api.ngris.com/v1/firewall/rate-limits/1" \ -H "X-API-KEY: <your_api_key>"
Python
from ngris import Ngris client = Ngris(api_key="<your_api_key>") rl = client.firewall.get_rate_limit(1) src = rl.get("source_ip") or "any" print(f"{rl['name']}: {rl['requests_per_window']}/{rl['window_size_seconds']}s from {src}")
Response — 200 OK
{ "id": 1, "endpoint_id": 42, "user_id": 7, "name": "anti-abuse", "description": null, "source_ip": null, "requests_per_window": 1000, "window_size_seconds": 60, "action": "block", "status": "active", "priority": 100, "created_at": "2026-04-01T00:00:00Z", "updated_at": "2026-04-01T00:00:00Z" }
On this page
Get Rate Limit Rule
Iris